%define modname inclued
%define soname %{modname}.so
%define inifile A76_%{modname}.ini

Summary:	Clued-in about your inclueds extension for php
Name:		php-%{modname}
Version:	0.1.3
Release:	%mkrel 2.1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/inclued/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		inclued-0.1.3-php5.5.patch
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel
BuildRequires:	file


%description
Allows you trace through and dump the hierarchy of file inclusions and
class inheritance at runtime.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p3
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[%{modname}]
inclued.dumpdir	= /tmp
inclued.enabled	= On
EOF

%files 
%doc package*.xml INSTALL gengraph.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Thu Jan 19 2017 adrianomorselli <adrianomorselli> 0.1.3-2.1uplos2017
- rebuild

* Mon Dec 12 2016 tex - 0.1.3-2.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 0.1.3-2pclos2017
-rebuild

* Sun Mar 13 2016 bb <bb> 0.1.3-1pclos2016
- update
